Bug 226073 - emulators/virtualbox-ose-additions -- fix two minor bugs
Summary: emulators/virtualbox-ose-additions -- fix two minor bugs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: vbox (Nobody)
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-02-20 21:53 UTC by Mikhail Teterin
Modified: 2020-08-13 18:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (vbox)


Attachments
Fix a pair of warnings (1.96 KB, patch)
2018-02-20 21:53 UTC, Mikhail Teterin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2018-02-20 21:53:36 UTC
Created attachment 190836 [details]
Fix a pair of warnings

The compiler duly reports these warnings, but the upstream developers paid no attention...
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-02-10 23:59:09 UTC
The first part of the patch is now in the source code. 
The second part unchanged.
Comment 2 commit-hook freebsd_committer 2020-08-13 18:39:55 UTC
A commit references this bug:

Author: jkim
Date: Thu Aug 13 18:39:48 UTC 2020
New revision: 544829
URL: https://svnweb.freebsd.org/changeset/ports/544829

Log:
  Remove a superfluous bzero(3) call to reduce compiler warnings.

  PR:	226073

Changes:
  head/emulators/virtualbox-ose/files/patch-src_VBox_Additions_freebsd_vboxvfs_vboxvfs__vfsops.c
Comment 3 Jung-uk Kim freebsd_committer 2020-08-13 18:42:02 UTC
Committed, thanks!  Sorry for being so late.